libabw::ABWStylesCollector Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWStylesCollector Class Reference

`#include <ABWStylesCollector.h>`

Inheritance diagram for libabw::ABWStylesCollector:

## Public Member Functions
| ABWStylesCollector (std::map< int, int > &tableSizes, std::map< std::string, ABWData > &data, std::map< int, ABWListElement * > &listElements)
virtual | ~ABWStylesCollector ()
void | collectTextStyle (const char *, const char *, const char *, const char *)
void | collectDocumentProperties (const char *)
void | collectParagraphProperties (const char *level, const char *listid, const char *parentid, const char *style, const char *props)
void | collectSectionProperties (const char *, const char *, const char *, const char *, const char *, const char *, const char *, const char *, const char *)
void | collectCharacterProperties (const char *, const char *)
void | collectPageSize (const char *, const char *, const char *, const char *)
void | closeParagraphOrListElement ()
void | closeSpan ()
void | openLink (const char *)
void | closeLink ()
void | openFoot (const char *)
void | closeFoot ()
void | openEndnote (const char *)
void | closeEndnote ()
void | endSection ()
void | startDocument ()
void | endDocument ()
void | insertLineBreak ()
void | insertColumnBreak ()
void | insertPageBreak ()
void | insertText (const char *)
void | insertImage (const char *, const char *)
void | collectData (const char *name, const char *mimeType, const librevenge::RVNGBinaryData &data)
void | collectHeaderFooter (const char *, const char *)
void | collectList (const char *id, const char *listDecimal, const char *listDelim, const char *parentid, const char *startValue, const char *type)
void | openTable (const char *props)
void | closeTable ()
void | openCell (const char *props)
void | closeCell ()
void | addMetadataEntry (const char *, const char *)
Public Member Functions inherited from libabw::ABWCollector
| ABWCollector ()
virtual | ~ABWCollector ()

## Private Member Functions
| ABWStylesCollector (const ABWStylesCollector &)
ABWStylesCollector & | operator= (const ABWStylesCollector &)
std::string | _findCellProperty (const char *name)
void | _processList (int id, const char *listDelim, int parentid, int startValue, int type)

## Private Attributes
ABWStylesParsingState * | m_ps
std::map< int, int > & | m_tableSizes
std::map< std::string, ABWData > & | m_data
int | m_tableCounter
std::map< int, ABWListElement * > & | m_listElements

## Constructor & Destructor Documentation

libabw::ABWStylesCollector::ABWStylesCollector | ( | std::map< int, int > & | tableSizes,
|  | std::map< std::string, ABWData > & | data,
|  | std::map< int, ABWListElement * > & | listElements
| ) |  |

libabw::ABWStylesCollector::~ABWStylesCollector | ( |  | ) |
| virtual

libabw::ABWStylesCollector::ABWStylesCollector | ( | const ABWStylesCollector & |  | ) |
| private

## Member Function Documentation

std::string libabw::ABWStylesCollector::_findCellProperty | ( | const char * | name | ) |
| private

void libabw::ABWStylesCollector::_processList | ( | int | id,
|  | const char * | listDelim,
|  | int | parentid,
|  | int | startValue,
|  | int | type
| ) |  |
| private

void libabw::ABWStylesCollector::addMetadataEntry | ( | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::closeCell | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::closeEndnote | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::closeFoot | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::closeLink | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::closeParagraphOrListElement | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::closeSpan | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::closeTable | ( |  | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectCharacterProperties | ( | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectData | ( | const char * | name,
|  | const char * | mimeType,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectDocumentProperties | ( | const char * |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectHeaderFooter | ( | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectList | ( | const char * | id,
|  | const char * | listDecimal,
|  | const char * | listDelim,
|  | const char * | parentid,
|  | const char * | startValue,
|  | const char * | type
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectPageSize | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectParagraphProperties | ( | const char * | level,
|  | const char * | listid,
|  | const char * | parentid,
|  | const char * | style,
|  | const char * | props
| ) |  |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectSectionProperties | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::collectTextStyle | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::endDocument | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::endSection | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::insertColumnBreak | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::insertImage | ( | const char * | ,
|  | const char * |
| ) |  |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::insertLineBreak | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::insertPageBreak | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::insertText | ( | const char * |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::openCell | ( | const char * | props | ) |
| virtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::openEndnote | ( | const char * |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::openFoot | ( | const char * |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::openLink | ( | const char * |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

void libabw::ABWStylesCollector::openTable | ( | const char * | props | ) |
| virtual

Implements libabw::ABWCollector.

ABWStylesCollector& libabw::ABWStylesCollector::operator= | ( | const ABWStylesCollector & |  | ) |
| private

void libabw::ABWStylesCollector::startDocument | ( |  | ) |
| inlinevirtual

Implements libabw::ABWCollector.

## Member Data Documentation

std::map<std::string, ABWData>& libabw::ABWStylesCollector::m_data
| private

std::map<int, ABWListElement *>& libabw::ABWStylesCollector::m_listElements
| private

ABWStylesParsingState* libabw::ABWStylesCollector::m_ps
| private

int libabw::ABWStylesCollector::m_tableCounter
| private

std::map<int, int>& libabw::ABWStylesCollector::m_tableSizes
| private

The documentation for this class was generated from the following files:

- ABWStylesCollector.h
- ABWStylesCollector.cpp